<!DOCTYPE html>
<html lang="vi">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JR1.20 Forecast Weather App UI</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.1/css/all.css">
    <script defer src="https://use.fontawesome.com/releases/v5.1.1/js/all.js"></script>
    <script>
        $(document).ready(function () {
            //khi nút bấm search city được click
            $(document).on("click", ".btn-search", function () {
                let vCityName = $("#cityName").val();
                if (vCityName === "") {
                    alert("Chưa điền vị trí");
                }
                else {
                    $.ajax({
                        url: 'http://api.openweathermap.org/data/2.5/weather?q=' + vCityName + "&units=metric" +
                            "&APPID=c10bb3bd22f90d636baa008b1529ee25",
                        type: "GET",
                        dataType: "json",
                        success: function (data) {
                            console.log(data)
                            dataProc(data);
                        }

                    });
                }
            })

            //xử lý sự kiện khi thành công lấy dữ liệu
            function dataProc(paramObjRes) {
                let vData = {
                    weather: paramObjRes.weather[0].main,
                    description: paramObjRes.weather[0].description,
                    temp: paramObjRes.main.temp,
                    pressure: paramObjRes.main.pressure,
                    humidity: paramObjRes.main.humidity,
                    minTemp: paramObjRes.main.temp_min,
                    maxTemp: paramObjRes.main.temp_max,
                    windSpd: paramObjRes.wind.speed,
                    windDir: paramObjRes.wind.deg,
                    img: `http://openweathermap.org/img/w/${paramObjRes.weather[0].icon}.png`
                }
                displayResult(vData);
            }

            //xử lý hiển thị
            function displayResult(paramWeather) {
                $("#weatherStatus").html(paramWeather.weather);
                $("#description").html(paramWeather.description).append($(`<img src = '${paramWeather.img}' class='img-fluid'>`));
                $("#temp").html(paramWeather.temp);
                $("#pressure").html(paramWeather.pressure);
                $("#humidity").html(paramWeather.humidity);
                $("#minTemp").html(paramWeather.minTemp);
                $("#maxTemp").html(paramWeather.maxTemp);
                $("#windSpeed").html(paramWeather.windSpd + ' m/s');
                $("#windDirect").html(paramWeather.windDir);
            }


        })
    </script>
</head>
<!-- 
                                `Current Weather for ${data.name}, ${data.sys.country}</h2>'+
                        Weather: ${data.weather[0].main}
                        Img: 'http://openweathermap.org/img/w/${data.weather[0].icon}.png'
                        Description: ${data.weather[0].description}
                        Temperature: ${data.main.temp}
                        Pressure: ${data.main.pressure}
                        Humidity: ${data.main.humidity}+"%</h3>"+
                        Min Temperature: ${data.main.temp_min}
                        Max Temperature: ${data.main.temp_max}
                        Wind Speed: ${data.wind.speed}
                        Wind Direction: ${data.wind.deg}`
                             -->

<body>
    <!-- NAVbar header -->
    <div class="container">
        <ul class="nav justify-content-center">
            <li class="nav-item">
                <a class="nav-link active" href="#">Weather App</a>
            </li>
            <div class="row ml-auto">
                <li class="nav-item">
                    <a class="nav-link" href="#">Current</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Forecast</a>
                </li>
            </div>
        </ul>
    </div>
    <!-- Tittle  -->
    <div class="container-fluid bg-primary py-5">
        <div class="mx-auto form-group">
            <h1 class="text-center text-white">Get Current Weather Infomation</h1>
        </div>
    </div>
    <!-- content -->
    <div class="container mt-5 mh-100">
        <div class="text-center text-primary">
            <h5 class="font-weight-normal">Enter City Name</h5>
            <div class="d-inline-flex">
                <input type="text" name="cityName" id="cityName" class="form-control col-sm-8 m-2">
                <button class="btn btn-primary m-2 btn-search">Search City</button>
            </div>
        </div>
        <div class="jumbotron bg-transparent">
            <div class="col-sm-6 mx-auto">
                <div class="card bg-primary">
                    <div class="card-title  text-center h2 text-white">Current weather for <span
                            id="div-cityName"></span></div>
                    <div class="card-body text-white">
                        <h4>Weather: <span class="font-weight-light" id="weatherStatus"></span></h4>
                        <h4>Description: <span class="font-weight-light" id="description"></span></h4>
                        <h4>Temperature: <span class="font-weight-light" id="temp"></span></h4>
                        <h4>Pressure: <span class="font-weight-light" id="pressure"></span></h4>
                        <h4>Humidity: <span class="font-weight-light" id="humidity"></span></h4>
                        <h4>Min Temperature: <span class="font-weight-light" id="minTemp"></span></h4>
                        <h4>Max Temperature: <span class="font-weight-light" id="maxTemp"></span></h4>
                        <h4>Wind Speed: <span class="font-weight-light" id="windSpeed"></span></h4>
                        <h4>Wind Direction: <span class="font-weight-light" id="windDirect"></span></h4>
                    </div>
                </div>
            </div>

        </div>

    </div>
</body>
<footer class="fixed-bottom">
    <div class="card-footer bg-primary">
        <p class="text-center my-4 text-white">Copyright <i class="far fa-copyright"></i> Weather App</p>
    </div>
</footer>

</html>